EmbodiFlowDocs
Open console
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • Annotation
            • Quality and tasks
              • Search
                • Workflows
                  • Algorithms
                    • Models
                      • POST
                        Cancel the training job for this model
                      • GET
                        Checkpoints for the latest training attempt
                      • GET
                        List evaluations for a model
                      • POST
                        Create a evaluation
                      • GET
                        Get a evaluation
                      • GET
                        Log tail for the latest training attempt
                      • GET
                        Live training metrics for a model (downsampled)
                      • POST
                        Retry the training job from the latest available checkpoint
                    • Artifacts and export
                      • Billing and usage
                        • Team and governance
                          • Account and notifications
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Models
                              4. Log tail for the latest training attempt

                              Log tail for the latest training attempt

                              GET
                              /v1/models/{modelId}/logs
                              curl -X GET 'https://api.embodiflow.io/v1/models/{modelId}/logs' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Path parameters

                              • modelIdstringrequired

                              Query parameters

                              • lineCursorstring

                                Line cursor from the previous log page

                              Responses

                              Success

                              • dataobjectrequired
                                • textstringrequired
                                • sourcestringrequired
                                  Allowed values
                                  kubernetes
                                  artifact
                                  unavailable
                                • unavailableReasonstring | null
                                • truncatedone ofrequired
                                • containerstring | null
                                • fetchedAtstringrequired
                                • lineStartnumber
                                • lineEndnumber
                                • nextLineCursornumber | null
                                • prevLineCursornumber | null
                                • hasMoreBeforeone of
                                • hasMoreAfterone of
                                • totalLinesnumber
                              Response example
                              {
                                "data": {
                                  "text": "string",
                                  "source": "kubernetes",
                                  "unavailableReason": "string",
                                  "truncated": false,
                                  "container": "string",
                                  "fetchedAt": "string",
                                  "lineStart": 0,
                                  "lineEnd": 0,
                                  "nextLineCursor": 0,
                                  "prevLineCursor": 0,
                                  "hasMoreBefore": false,
                                  "hasMoreAfter": false,
                                  "totalLines": 0
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              GET /models/{modelId}/evaluations/{evaluationId}

                              Next

                              GET /models/{modelId}/metrics

                              curl -X GET 'https://api.embodiflow.io/v1/models/{modelId}/logs' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": {
                                  "text": "string",
                                  "source": "kubernetes",
                                  "unavailableReason": "string",
                                  "truncated": false,
                                  "container": "string",
                                  "fetchedAt": "string",
                                  "lineStart": 0,
                                  "lineEnd": 0,
                                  "nextLineCursor": 0,
                                  "prevLineCursor": 0,
                                  "hasMoreBefore": false,
                                  "hasMoreAfter": false,
                                  "totalLines": 0
                                }
                              }